# Get a checkout (/docs/api/account/billing_checkout_get)

One checkout session and its status (open, completed, declined, requires_action).

`GET /v1/billing/checkout/{id}`

```json
{
  "operationId": "billing_checkout_get",
  "summary": "Get a checkout",
  "description": "One checkout session and its status (open, completed, declined, requires_action).",
  "tags": [
    "billing"
  ],
  "security": [
    {
      "bearer": []
    }
  ],
  "parameters": [
    {
      "schema": {
        "type": "string",
        "pattern": "^(sim_cs|cs)_[A-Za-z0-9_]{8,200}$"
      },
      "required": true,
      "name": "id",
      "in": "path"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "object": {
                "type": "string",
                "enum": [
                  "checkout"
                ]
              },
              "id": {
                "type": "string",
                "pattern": "^(sim_cs|cs)_[A-Za-z0-9_]{8,200}$"
              },
              "kind": {
                "type": "string",
                "enum": [
                  "credits",
                  "plan"
                ]
              },
              "status": {
                "type": "string",
                "enum": [
                  "open",
                  "completed",
                  "declined",
                  "requires_action",
                  "expired"
                ]
              },
              "source": {
                "type": "string",
                "enum": [
                  "none",
                  "stripe",
                  "simulated"
                ]
              },
              "url": {
                "type": "string"
              },
              "amount_micro": {
                "type": "integer",
                "minimum": 0
              },
              "fee_micro": {
                "type": "integer",
                "minimum": 0
              },
              "total_micro": {
                "type": "integer",
                "minimum": 0
              },
              "plan": {
                "type": [
                  "string",
                  "null"
                ],
                "enum": [
                  "free",
                  "pro",
                  "team",
                  "agency",
                  "enterprise",
                  null
                ]
              },
              "created_at": {
                "type": "string",
                "format": "date-time"
              },
              "completed_at": {
                "type": [
                  "string",
                  "null"
                ],
                "format": "date-time"
              }
            },
            "required": [
              "object",
              "id",
              "kind",
              "status",
              "source",
              "url",
              "amount_micro",
              "fee_micro",
              "total_micro",
              "plan",
              "created_at",
              "completed_at"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
